# 数据大屏 组件库

```sh
npm i datav-screen-lib
yarb add datav-screen-lib
```

## 全局使用

```js
import DatavScreen from "datav-screen-lib";
Vue.use(DatavScreen);
```

## 按需引用

```md
暂不支持 按需引用
```

## 组件列表

```md
datav-container
```

### datav-container（数据大屏外部盒子）

```html
<datav-container
  class="container"
  id="main"
  :options="{ width: 1920, height: 1080 }"
>
  <!-- options 里面宽高是 设计稿宽高，开发时直接使用 px 即可，无需换算 百分比，也无需使用 rem -->
</datav-container>
<style>
  .container {
    position: fixed;
    left: 0;
    top: 0;
    overflow: hidden;
    transform-origin: left top;
    z-index: 999;
    background: #032839;
    overflow: hidden;
  }
</style>
```

### 版本记录

```md
- 1.0.1

> 修改 bug，beforeDestroy 生命周期中 onResize removeMutationObserver undefind
> 增加 参数 scaleY ，高度是否自适应

- 1.0.2

> 增加版本记录

- 1.0.3

> 修改 bug， scaleY undefind

- 1.0.5

> 修复 JS 除法不精确，使用 Big.js

- 1.0.6

> 修复 首次打开页面，计算的宽高比例不精确问题
```
